

#ifndef __SineWave_H
#define __SineWave_H

#include "oscillator.h"


#define _2pi                6.283185307179586476925286766559

class SineWave : public Oscillator
{
public:
	SineWave();
	virtual void Initialize(float Frequency, int SampleRate, float Amplitude = 1.0);
	virtual int Generate(short *data, int Samples);

protected:
	
	int m_iSampleValue;
	double dK;
	int count;
	double m_dAmpFactor;
};




#endif  // __SineWave_H