

#ifndef __SQUAREWAVE_H
#define __SQUAREWAVE_H

#include "oscillator.h"

class SquareWave : public Oscillator
{
public:
	SquareWave();
	virtual void Initialize(float Frequency, int SampleRate, float Amplitude = 1.0);
	virtual int Generate(short *data, int Samples);

protected:
	
	int m_iFullCycle;
	int m_iHalfCycle;
	int m_iSampleValue;
};




#endif  // __SQUAREWAVE_H